Page MenuHomePhabricator

Civi 4.6 date range fields are unusably annoying
Closed, ResolvedPublic2 Story Points

Description

The search date range drupdown is set to "-any-" by default, but when you click on it, it looks like "choose date range" is already selected, which is extremely confusing. Make this usable.

Details

Related Gerrit Patches:
wikimedia/fundraising/crm/civicrm : civi-4.6.9-deploymentGive contribution date range a tighter layout
wikimedia/fundraising/crm : civi-4.6.9Set search to default to contribution date range

Event Timeline

awight created this task.Oct 23 2015, 7:17 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added subscribers: awight, Eileenmcnaughton.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2015, 7:17 PM
awight triaged this task as High priority.Oct 23 2015, 10:24 PM

@Eileenmcnaughton explained why T115897 isn't the right solution.

Editing the task description to pare down this task into just the urgent UX issue. There's a subtask for the nice to have stuff.

awight updated the task description. (Show Details)Oct 23 2015, 10:24 PM
awight set Security to None.
awight claimed this task.Oct 27 2015, 12:05 AM
awight moved this task from Backlog to Review on the Fundraising Sprint Vengaboys board.

Change 249071 had a related patch set uploaded (by Eileen):
Set search to default to date-rate for contribuion date

https://gerrit.wikimedia.org/r/249071

awight reassigned this task from awight to Eileenmcnaughton.Oct 27 2015, 3:56 PM
awight moved this task from Review to Pending Deployment on the Fundraising Sprint Vengaboys board.

Change 249071 merged by Ejegg:
Set search to default to contribution date range

https://gerrit.wikimedia.org/r/249071

Change 249959 had a related patch set uploaded (by Awight):
Give contribution date range a tighter layout

https://gerrit.wikimedia.org/r/249959

Change 249959 merged by Awight:
Give contribution date range a tighter layout

https://gerrit.wikimedia.org/r/249959

awight edited a custom field.Nov 4 2015, 11:53 PM

@awight - do we need to check this with anyone? Or just set to resolved

Change 252467 had a related patch set uploaded (by Eileen):
Give contribution date range a tighter layout

https://gerrit.wikimedia.org/r/252467

@Eileenmcnaughton Yep, the date range is much clearer now!

atgo closed this task as Resolved.Nov 11 2015, 6:57 PM

Change 252467 merged by Eileen:
Give contribution date range a tighter layout

https://gerrit.wikimedia.org/r/252467

Change 285778 had a related patch set uploaded (by Eileen):
Give contribution date range a tighter layout

https://gerrit.wikimedia.org/r/285778

Change 285778 merged by Eileen:
Give contribution date range a tighter layout

https://gerrit.wikimedia.org/r/285778

mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM